//
//  ViewController.swift
//  StarWars
//
//  Created by Mark Meretzky on 11/20/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit;
import AVFoundation;	//for AVAudioPlayer

class ViewController: UIViewController {
	var player: AVAudioPlayer?;

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
		let bundle: NSBundle = NSBundle.mainBundle();

		//http://www.youtube.com/watch?v=ucvlJxDyKAA
		//converted to mp3 format by
		//http://www.youtube-mp3.org
		let path: String? = bundle.pathForResource("fanfare", ofType: "mp3");
		if path == nil {
			println("could not find the path");
			return;
		}

		let url: NSURL? = NSURL(fileURLWithPath: path!, isDirectory: false);
		if url == nil {
			println("could not create url");
			return;
		}

		var error: NSError?;
		player = AVAudioPlayer(contentsOfURL: url!, error: &error);
		if player == nil {
			println("could not create AVAudioPlayer: \(error!)");
			return;
		}

		player!.volume = 1.0;		//the default

		if !player!.prepareToPlay() {	//! means "not"
			println("could not prepare to play");
		}

		if !player!.play() {
			println("could not prepare to play");
		}
	}

	override func supportedInterfaceOrientations() -> Int {
		return Int(UIInterfaceOrientationMask.LandscapeLeft.rawValue);
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}


}

